### Hierarchy

- Logger

## Index

### Constructors

- constructor

### Properties

- lvl
- stackFrameOffset

### Methods

- catch
- error
- info
- joinArgs
- llvl1
- llvl2
- llvl3
- llvl4
- lvl1
- lvl2
- lvl3
- lvl4
- out
- print
- printCaller
- printLvl
- rcatch
- warn

## Constructors

### constructor

- new Logger(lvl: number | undefined): Logger

- - Defined in src/log.ts:10

  #### Parameters

  - ##### lvl: number | undefined

  #### Returns Logger

## Properties

### lvl

lvl: number

- Defined in src/log.ts:9

### stackFrameOffset

stackFrameOffset: number = 0

- Defined in src/log.ts:10

## Methods

### catch

- catch(e: string | Error, ...args: any): void

- - Defined in src/log.ts:131

  #### Parameters

  - ##### e: string | Error

  - ##### Rest ...args: any

  #### Returns void

### error

- error(...args: any): void

- - Defined in src/log.ts:127

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### info

- info(...args: any): void

- - Defined in src/log.ts:119

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### joinArgs

- joinArgs(args: any): any

- - Defined in src/log.ts:21

  #### Parameters

  - ##### args: any

  #### Returns any

### llvl1

- llvl1(...args: any): void

- - Defined in src/log.ts:103

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### llvl2

- llvl2(...args: any): void

- - Defined in src/log.ts:107

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### llvl3

- llvl3(...args: any): void

- - Defined in src/log.ts:111

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### llvl4

- llvl4(...args: any): void

- - Defined in src/log.ts:115

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### lvl1

- lvl1(...args: any): void

- - Defined in src/log.ts:87

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### lvl2

- lvl2(...args: any): void

- - Defined in src/log.ts:91

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### lvl3

- lvl3(...args: any): void

- - Defined in src/log.ts:95

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### lvl4

- lvl4(...args: any): void

- - Defined in src/log.ts:99

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### out

- out(...str: string[]): void

- - Defined in src/log.ts:16

  #### Parameters

  - ##### Rest ...str: string[]

  #### Returns void

### print

- print(...args: any): void

- - Defined in src/log.ts:83

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

### printCaller

- printCaller(err: string | Error, i: number): any

- - Defined in src/log.ts:55

  #### Parameters

  - ##### err: string | Error

  - ##### i: number

  #### Returns any

### printLvl

- printLvl(l: number, args: any): void

- - Defined in src/log.ts:73

  #### Parameters

  - ##### l: number

  - ##### args: any

  #### Returns void

### rcatch

- rcatch(e: string | Error, ...args: any): Promise<any>

- - Defined in src/log.ts:145

  #### Parameters

  - ##### e: string | Error

  - ##### Rest ...args: any

  #### Returns Promise<any>

### warn

- warn(...args: any): void

- - Defined in src/log.ts:123

  #### Parameters

  - ##### Rest ...args: any

  #### Returns void

Generated using TypeDoc